extends RefCounted
class_name DragonProperties

var name: String
var origin: String
var color: int
var hat: int
var shirt: int
var decor: int
var position: Vector2i
var id: int


func _init(name: String, origin: String, color: int, hat: int, shirt: int, decor: int) -> void:
	self.name = name
	self.origin = origin
	self.color = color
	self.hat = hat
	self.shirt = shirt
	self.decor = decor


func _to_string() -> String:
	return '%s: [origin: %s, color: %d, hat: %d, shirt: %d, decor: %d]' % [self.name, self.origin, self.color, self.hat, self.shirt, self.decor]


func equals(other: DragonProperties):
	return name == other.name and origin == other.origin and color == other.color and hat == other.hat and shirt == other.shirt and decor == other.decor
